Subject: Re: bug#6555: stat enhancement

From: Jim Meyering <[email-masked]>
Date: Thu, 19 Aug 2010 17:24:49 +0200

Pádraig Brady wrote:
> On 13/08/10 04:01, A Burgie wrote:
>> I have received confirmation of the completion of my exciting
>> paperwork.  I can send the PDF for proof but at this point all of the
>> legal stuff should be handled.
>
> I updated the patch further, adding a test,
> and fixing a small mem leak in print_stat().
> However I'm wary about pushing as I'm worried
> about bypassing most of the logic from df::show_point().
> I.E. do we lose anything by not using read_file_system_list()?

Hi Pádraig and Aaron,
That patch looks fine.  Thanks to both of you!

I noticed that there is a semantic difference with df.  Running
"df symlink-to-dir" works like "df dir", while "stat --format=%m
symlink-to-dir" operates on the symlink, not on the directory.  That does
seem to be the proper default, given stat's --dereference (-L) option
(which I confirmed does work fine).

It might be worth adding a note in the texinfo doc that people looking
for df-like semantics from %m should use --dereference (-L).